Skip to content

3.2.1 Create an Inbound Order ​

Endpoint:

plain
POST /OpenApi/V1/Inbound/Inbounding/create?signature=xxx

HTTP method: POST

Request parameters:

FieldTypeRequiredDescriptionNotes
userInboundNostringNoCustomer reference number
inboundingTypeintYesInbound type: 1 full container; 2 loose cargoDefault: 1
carrierTypeintYesTransport mode: 100 sea freight; 200 air freight; 300 transferDefault: 100
arrivalTypeintYesArrival methodDefault: 100
containerNumstringNoContainer number or air waybill (AWB) number
caseInboundPalletintNoExpected inbound pallet countDefault: 0
etdintNoShipment timeUNIX timestamp
etaintNoEstimated arrival timeUNIX timestamp
remarkstringNoNotes
distanceUnitintYesDimension unit: 1 in; 2 cmDefault: 1
massUnitintYesWeight unit: 1 lb; 2 kgDefault: 1
inboundingDetailListarrayYesInbound SKU data; see the format below
warehouseCodestringYesWarehouse code

inboundingDetailList array format:

json
[{
    "isMultipleSku": "Whether multiple SKUs are included: 1 no; 2 yes",
    "operateType": "Operation type: 100 storage; 200 relabeling and forwarding; 201 expedited forwarding",
    "deliveryType": "Last-mile delivery type: 100 UPS; 101 USPS; 102 FedEx",
    "dLocationName": "Destination name",
    "dLocationType": "Destination type: 0 user address; 1 FBA warehouse",
    "sku": "SKU; required when isMultipleSku is 1",
    "length": "Length; required when isMultipleSku is 2",
    "width": "Width; required when isMultipleSku is 2",
    "height": "Height; required when isMultipleSku is 2",
    "weight": "Weight; required when isMultipleSku is 2",
    "netWeight": "Net weight; required when isMultipleSku is 2",
    "caseCarton": "Expected carton count",
    "logisticsData": "【ShipmentId、ReferenceId】",
    "fnSku": "fnSku",
    "expressQty": "Shipping labels per carton",
    "fbaQty": "FBA labels per carton",
    "fnSkuQty": "FNSKU labels per unit",
    "remark": "Notes",
    "lotNo": "Lot number; may be empty when isMultipleSku is 1",
    "expirationDate": "Expiration time; may be empty when isMultipleSku is 1",
    "detailList": [{
        "sku": "sku",
        "casePiecesQty": "Units of this SKU per carton",
        "logisticsData": "【ShipmentId、ReferenceId】",
        "fnSku": "fnSku",
        "lotNo": "Lot number",
        "expirationDate": "Expiration time"
    }]
}]

Success response example:

json
{
    "code": "200",
    "result": {
        "inboundingNo": "IB20260428001"
    },
    "message": "Created successfully"
}

Error response example:

json
{
    "code": "400",
    "result": [],
    "message": "Failed to create"
}